Bug 1421061 - [quick installer 3.3]quick installer failed due to a python method failure
Summary: [quick installer 3.3]quick installer failed due to a python method failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Tim Bielawa
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1420970
Blocks: 1421053 1421059
TreeView+ depends on / blocked
 
Reported: 2017-02-10 09:17 UTC by Gan Huang
Modified: 2017-03-06 16:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An Ansible 2.2.1.0 compatibility issue has been fixed in the OCP 3.4 quick installer.
Clone Of: 1420970
Environment:
Last Closed: 2017-03-06 16:38:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0448 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-03-06 21:36:25 UTC

Description Gan Huang 2017-02-10 09:17:00 UTC
+++ This bug was initially created as a clone of Bug #1420970 +++

Description of problem:
Quick installer get failed in "Gathering information from hosts" step, looks relate to a python method failure.

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.3.64-1.git.0.43bfb06.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.run quick installer
2.
3.

Actual results:
[root@installer ~]# atomic-openshift-installer install
...
Gathering information from hosts...
 [WARNING]: Failure using method (v2_runner_on_ok) in callback plugin (</usr/lib/python2.7/site-packages/ooinstall/ansible_plugins/facts_callback.CallbackModule object at 0x2903910>): cannot
represent an object: common
There was a problem fetching the required information. Please see /tmp/ansible.log for details.

Expected results:
Installation succeed 

Additional info:
[root@installer ~]# tail /tmp/ansible.log
...
2017-02-10 10:14:24,547 p=14688 u=root |   [WARNING]: Failure using method (v2_runner_on_ok) in callback plugin (</usr/lib/python2.7/site-packages/ooinstall/ansible_plugins/facts_callback.CallbackModule object at 0x2903910>): cannot
represent an object: common

2017-02-10 10:14:24,552 p=14688 u=root |  PLAY RECAP *********************************************************************
2017-02-10 10:14:24,552 p=14688 u=root |  localhost                  : ok=10   changed=0    unreachable=0    failed=0   
2017-02-10 10:14:24,552 p=14688 u=root |  master.example.com : ok=52   changed=3    unreachable=0    failed=0

Comment 5 Wenkai Shi 2017-02-27 02:02:23 UTC
Verified with version openshift-ansible-3.3.67-1.git.0.7c5da0c.el7 and ansible-2.2.1.0-2.el7, quick installer can pass the "Gathering information from hosts..." step without any error.

Comment 7 errata-xmlrpc 2017-03-06 16:38:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0448


Note You need to log in before you can comment on or make changes to this bug.